Debian Bug report logs - #355883
USB device size detected incorrectly

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Sandro Knauss <sandy@v884.vanager.de>

Date: Wed, 8 Mar 2006 14:03:05 UTC

Severity: important

Merged with 494800

Found in version linux-2.6/2.6.26-2

Fixed in version 2.6.26-4

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-source-2.6.15. Full text and rfc822 format available.

Acknowledgement sent to Sandro Knauss <sandy@v884.vanager.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sandro Knauss <sandy@v884.vanager.de>
To: submit@bugs.debian.org
Subject: usb storage can't be mounted 'cause of wrong size
Date: Wed, 8 Mar 2006 14:54:48 +0100
[Message part 1 (text/plain, inline)]
Package: linux-source-2.6.15
Version: 2.6.15-7
Severity: normal



-- System Information:
Debian Release: testing/unstable
APT prefers testing
APT policy: (990, 'testing'), (900, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages linux-source-2.6.15 depends on:
   ii  binutils             2.16.1cvs20060117-1 The GNU assembler,linker and bina
   ii  bzip2                1.0.3-2             high-quality block-sorting file co

Versions of packages linux-source-2.6.15 recommends:
   ii  gcc                       4:4.0.2-2      The GNU C compiler
   ii  libc6-dev [libc-dev]      2.3.5-13       GNU C Library:Development Librari
   ii  make                      3.80+3.81.b4-1 The GNU version of the"make" util

Hello,
if I plug my usb stick in, I'll get an error in /var/log/syslog. I tested other usb sticks on my laptop, where i don't get any error. I also tested this usb stick on three other debian pc with the same error (Debian/stable with kernel 2.6.8; Debian/testing with vanilla kernel 2.6.11/2.6.13). But knoppix (kernel 2.6.11) and ubuntu have no problem with this stick.

I don't know, weather this is a bug from this package or not. Maybe it is a bug from udev (0.085-1) or hal(0.5.6-4), but I don't think so, 'cause this bug also came up with hotplug.

The problem is recording to /proc/partitions that he can't get the right size for this partition.

Sandro Knauss

Appendix:
 Abstract of /var/log/syslog
 /usr/src/linux/.config
 /proc/partitions
 /proc/bus/usb/devices
			   
[syslog (text/plain, attachment)]
[devices2 (text/plain, attachment)]
[config (text/plain, attachment)]
[partitions2 (text/plain, attachment)]

Bug reassigned from package `linux-source-2.6.15' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <a.kumar@alumni.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #12 received at 355883@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>
To: Debian Bug Tracking System <355883@bugs.debian.org>
Subject: linux-image-2.6.26-1-amd64: USB stick size reported incorrectly
Date: Mon, 18 Aug 2008 18:00:03 -0500
[Message part 1 (text/plain, inline)]
Package: linux-image-2.6.26-1-amd64
Version: 2.6.26-2
Followup-For: Bug #355883

Hi!

This problem is really ugly. My Jet Flash works perfectly on a
slightly older kernel, but doesn't work at all in the new kernel. Here
is the issue in brief:

In kernel linux-image-2.6.25-2-amd6 (2.6.25-7), it works fine. Here is the dmesg output:
[  342.713802] usb 7-4: new high speed USB device using ehci_hcd and address 3
[  343.859372] usb 7-4: configuration #1 chosen from 1 choice
[  343.873288] scsi5 : SCSI emulation for USB Mass Storage devices
[  342.871404] usb-storage: device found at 3
[  342.871415] usb-storage: waiting for device to settle before scanning
[  343.883323] usb 7-4: New USB device found, idVendor=058f, idProduct=6387
[  343.883337] usb 7-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  343.883342] usb 7-4: Product: Mass Storage Device
[  343.883346] usb 7-4: Manufacturer: JetFlash
[  343.883350] usb 7-4: SerialNumber: 7JGO3QAD
[  347.774809] usb-storage: device scan complete
[  348.854034] scsi 5:0:0:0: Direct-Access     JetFlash TS2GJFV30        8.07 PQ: 0 ANSI: 2
[  348.858005] sd 5:0:0:0: [sdb] 3969022 512-byte hardware sectors (2032 MB)
[  348.858643] sd 5:0:0:0: [sdb] Write Protect is off
[  348.858653] sd 5:0:0:0: [sdb] Mode Sense: 03 00 00 00
[  348.858658] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[  348.861516] sd 5:0:0:0: [sdb] 3969022 512-byte hardware sectors (2032 MB)
[  348.862242] sd 5:0:0:0: [sdb] Write Protect is off
[  348.862250] sd 5:0:0:0: [sdb] Mode Sense: 03 00 00 00
[  348.862254] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[  348.862260]  sdb: sdb1
[  349.034051] sd 5:0:0:0: [sdb] Attached SCSI removable disk


However, in linux-image-2.6.26-1-amd64, it detects the size
incorrectly, and I am unable to mount it at all. The error I get is in
this dmesg output:
[  159.324315] usb 7-4: new high speed USB device using ehci_hcd and address 2
[  159.458451] usb 7-4: configuration #1 chosen from 1 choice
[  159.461550] usb 7-4: New USB device found, idVendor=058f, idProduct=6387
[  159.461550] usb 7-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[  159.461550] usb 7-4: Product: Mass Storage Device
[  159.461550] usb 7-4: Manufacturer: JetFlash
[  159.461550] usb 7-4: SerialNumber: 7JGO3QAD
[  159.599730] Initializing USB Mass Storage driver...
[  159.599737] scsi3 : SCSI emulation for USB Mass Storage devices
[  159.603617] usb-storage: device found at 2
[  159.603617] usb-storage: waiting for device to settle before scanning
[  159.599737] usbcore: registered new interface driver usb-storage
[  159.599737] USB Mass Storage support registered.
[  164.614755] usb-storage: device scan complete
[  164.614755] scsi scan: INQUIRY result too short (5), using 36
[  164.614755] scsi 3:0:0:0: Direct-Access                                    PQ: 0 ANSI: 0
[  164.619253] sd 3:0:0:0: [sdb] Sector size 0 reported, assuming 512.
[  164.619253] sd 3:0:0:0: [sdb] 1 512-byte hardware sectors (0 MB)
[  164.619253] sd 3:0:0:0: [sdb] Write Protect is off
[  164.619253] sd 3:0:0:0: [sdb] Mode Sense: 03 00 00 00
[  164.619253] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[  164.622375] sd 3:0:0:0: [sdb] Sector size 0 reported, assuming 512.
[  164.622375] sd 3:0:0:0: [sdb] 1 512-byte hardware sectors (0 MB)
[  164.622375] sd 3:0:0:0: [sdb] Write Protect is off
[  164.622375] sd 3:0:0:0: [sdb] Mode Sense: 03 00 00 00
[  164.622375] sd 3:0:0:0: [sdb] Assuming drive cache: write through
[  164.622375]  sdb: sdb1
[  164.795130]  sdb: p1 exceeds device capacity
[  164.795130] sd 3:0:0:0: [sdb] Attached SCSI disk
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=64, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 0
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=66, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=68, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 2
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=70, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 3
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=72, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 4
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=74, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 5
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=76, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 6
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=78, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 7
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=80, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 8
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=82, limit=1
[  164.904937] Buffer I/O error on device sdb1, logical block 9
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=84, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=86, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=88, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=90, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=92, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=94, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=64, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=66, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=68, limit=1
[  164.904937] attempt to access beyond end of device
[  164.904937] sdb: rw=0, want=70, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=64, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=66, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=68, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=70, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=72, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=74, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=76, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=78, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=80, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=82, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=84, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=86, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=88, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=90, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=92, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=94, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=64, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=66, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=68, limit=1
[  164.928306] attempt to access beyond end of device
[  164.928306] sdb: rw=0, want=70, limit=1

Should you require more input, please do inform me, and I shall do my
best to provide you with more information.

Thanks!

Kumar

-- Package-specific info:
** Version:
Linux version 2.6.26-1-amd64 (Debian 2.6.26-2) (waldi@debian.org) (gcc version 4.1.3 20080623 (prerelease) (Debian 4.1.2-23)) #1 SMP Fri Aug 8 13:17:41 UTC 2008

** Command line:
root=/dev/sda6 ro vga=791 

** Not tainted

** Kernel log:
(as provided above)

** Loaded modules:
Module                  Size  Used by
usb_storage            94144  0 
aes_x86_64             12416  3 
aes_generic            32552  1 aes_x86_64
i915                   35072  2 
drm                    91488  3 i915
rfcomm                 38176  0 
l2cap                  23936  5 rfcomm
bluetooth              57124  4 rfcomm,l2cap
ipv6                  288200  14 
acpi_cpufreq           11792  1 
cpufreq_ondemand       11792  1 
cpufreq_conservative    11784  0 
cpufreq_powersave       6400  0 
cpufreq_stats           9120  0 
freq_table              9344  3 acpi_cpufreq,cpufreq_ondemand,cpufreq_stats
cpufreq_userspace       8452  0 
microcode              15160  0 
loop                   19468  0 
joydev                 14848  0 
snd_hda_intel         437324  2 
snd_pcm_oss            41504  0 
snd_mixer_oss          19200  2 snd_pcm_oss
arc4                    6272  2 
ecb                     7296  2 
crypto_blkcipher       21636  1 ecb
snd_pcm                81544  2 snd_hda_intel,snd_pcm_oss
snd_timer              26000  1 snd_pcm
snd_page_alloc         13200  2 snd_hda_intel,snd_pcm
snd_hwdep              12168  1 snd_hda_intel
iwl3945                92916  0 
firmware_class         12544  2 microcode,iwl3945
mac80211              162864  1 iwl3945
snd                    64888  8 snd_hda_intel,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
led_class               8968  1 iwl3945
iTCO_wdt               15696  0 
battery                12032  0 
i2c_i801               13596  0 
cfg80211               30224  2 iwl3945,mac80211
video                  24084  0 
psmouse                42268  0 
pcspkr                  7040  0 
serio_raw               9860  0 
i2c_core               27936  1 i2c_i801
soundcore              12064  2 snd
output                  7808  1 video
wmi                    11712  0 
button                 11680  0 
ac                      8192  0 
intel_agp              31728  1 
evdev                  14208  7 
dcdbas                 11952  0 
ext3                  124688  4 
jbd                    51240  1 ext3
mbcache                12804  1 ext3
dm_mirror              20608  0 
dm_log                 13956  1 dm_mirror
dm_snapshot            19400  0 
dm_mod                 58864  3 dm_mirror,dm_log,dm_snapshot
ide_cd_mod             36360  0 
cdrom                  37928  1 ide_cd_mod
sd_mod                 29376  6 
ata_generic            10116  0 
ide_pci_generic         9220  0 [permanent]
ahci                   32520  5 
libata                165472  2 ata_generic,ahci
scsi_mod              160760  3 usb_storage,sd_mod,libata
dock                   14112  1 libata
piix                   12424  0 [permanent]
ide_core              128284  3 ide_cd_mod,ide_pci_generic,piix
ohci1394               32564  0 
sdhci                  19460  0 
mmc_core               52448  1 sdhci
ieee1394               93816  1 ohci1394
sky2                   48004  0 
ehci_hcd               36108  0 
uhci_hcd               25760  0 
thermal                22688  0 
processor              42304  4 acpi_cpufreq,thermal
fan                     9352  0 
thermal_sys            17728  4 video,thermal,processor,fan

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub [8086:2a00] (rev 0c)
	Subsystem: Dell Device [1028:022f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel driver in use: agpgart-intel
	Kernel modules: intel-agp

00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fea00000 (64-bit, non-prefetchable) [size=1M]
	Region 2: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 4: I/O ports at eff8 [size=8]
	Capabilities: <access denied>
	Kernel modules: intelfb

00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a03] (rev 0c)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Region 0: Memory at feb00000 (64-bit, non-prefetchable) [size=1M]
	Capabilities: <access denied>

00:1a.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #4 [8086:2834] (rev 02)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 6f20 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1a.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 [8086:2835] (rev 02)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 6f00 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1a.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 [8086:283a] (rev 02) (prog-if 20)
	Subsystem: Dell Device [1028:022f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 0: Memory at fed1c400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 02)
	Subsystem: Dell Device [1028:022f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 21
	Region 0: Memory at fe9fc000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel
	Kernel modules: snd-hda-intel

00:1c.0 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 [8086:283f] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=09, subordinate=09, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fe800000-fe8fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.1 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 [8086:2841] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0b, subordinate=0b, sec-latency=0
	Memory behind bridge: fe700000-fe7fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1c.4 PCI bridge [0604]: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 [8086:2847] (rev 02)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=0c, subordinate=0d, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: fe400000-fe6fffff
	Prefetchable memory behind bridge: 00000000f0000000-00000000f01fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport-driver
	Kernel modules: shpchp

00:1d.0 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 [8086:2830] (rev 02)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 4: I/O ports at 6f80 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.1 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 [8086:2831] (rev 02)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 21
	Region 4: I/O ports at 6f60 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.2 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 [8086:2832] (rev 02)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 22
	Region 4: I/O ports at 6f40 [size=32]
	Kernel driver in use: uhci_hcd
	Kernel modules: uhci-hcd

00:1d.7 USB Controller [0c03]: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 [8086:2836] (rev 02) (prog-if 20)
	Subsystem: Dell Device [1028:022f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at fed1c000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd
	Kernel modules: ehci-hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 Mobile PCI Bridge [8086:2448] (rev f2) (prog-if 01)
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=32
	Memory behind bridge: fe300000-fe3fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801HEM (ICH8M) LPC Interface Controller [8086:2815] (rev 02)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>
	Kernel modules: iTCO_wdt

00:1f.1 IDE interface [0101]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller [8086:2850] (rev 02) (prog-if 8a [Master SecP PriP])
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 6fa0 [size=16]
	Kernel driver in use: PIIX_IDE
	Kernel modules: piix, ide-pci-generic, ata_generic

00:1f.2 SATA controller [0106]: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller [8086:2829] (rev 02) (prog-if 01)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 1275
	Region 0: I/O ports at 6eb0 [size=8]
	Region 1: I/O ports at 6eb8 [size=4]
	Region 2: I/O ports at 6ec0 [size=8]
	Region 3: I/O ports at 6ec8 [size=4]
	Region 4: I/O ports at 6ee0 [size=32]
	Region 5: Memory at fe9fb800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci
	Kernel modules: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 82801H (ICH8 Family) SMBus Controller [8086:283e] (rev 02)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at fe9fb700 (32-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 10c0 [size=32]
	Kernel driver in use: i801_smbus
	Kernel modules: i2c-i801

02:09.0 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 IEEE 1394 Controller [1180:0832] (rev 05) (prog-if 10)
	Subsystem: Dell Device [1028:022f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fe3ff800 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ohci1394
	Kernel modules: ohci1394

02:09.1 SD Host controller [0805]: Ricoh Co Ltd R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter [1180:0822] (rev 22) (prog-if 01)
	Subsystem: Dell Device [1028:022f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 18
	Region 0: Memory at fe3ff500 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci
	Kernel modules: sdhci

02:09.2 System peripheral [0880]: Ricoh Co Ltd R5C592 Memory Stick Bus Host Adapter [1180:0592] (rev 12)
	Subsystem: Dell Device [1028:022f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 5
	Region 0: Memory at fe3ff600 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

02:09.3 System peripheral [0880]: Ricoh Co Ltd xD-Picture Card Controller [1180:0852] (rev 12)
	Subsystem: Dell Device [1028:022f]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 64, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 5
	Region 0: Memory at fe3ff700 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>

09:00.0 Ethernet controller [0200]: Marvell Technology Group Ltd. 88E8040 PCI-E Fast Ethernet Controller [11ab:4354] (rev 12)
	Subsystem: Dell Device [1028:022f]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 1276
	Region 0: Memory at fe8fc000 (64-bit, non-prefetchable) [size=16K]
	Region 2: I/O ports at de00 [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sky2
	Kernel modules: sky2

0b:00.0 Network controller [0280]: Intel Corporation PRO/Wireless 3945ABG Network Connection [8086:4222] (rev 02)
	Subsystem: Intel Corporation Device [8086:1020]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 1274
	Region 0: Memory at fe7ff000 (32-bit, non-prefetchable) [size=4K]
	Capabilities: <access denied>
	Kernel driver in use: iwl3945
	Kernel modules: iwl3945



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.26-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.23     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.92f      tools for generating an initramfs
ii  module-init-tools             3.4-1      tools for managing Linux kernel mo

linux-image-2.6.26-1-amd64 recommends no packages.

Versions of packages linux-image-2.6.26-1-amd64 suggests:
ii  grub                          0.97-46    GRand Unified Bootloader (Legacy v
pn  linux-doc-2.6.26              <none>     (no description available)

-- debconf information:
  linux-image-2.6.26-1-amd64/postinst/create-kimage-link-2.6.26-1-amd64: true
  shared/kernel-image/really-run-bootloader: true
  linux-image-2.6.26-1-amd64/postinst/kimage-is-a-directory:
  linux-image-2.6.26-1-amd64/preinst/bootloader-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/old-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/initrd-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-system-map-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-initrd-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/preinst/overwriting-modules-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/elilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-install-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/lilo-initrd-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/depmod-error-2.6.26-1-amd64: false
  linux-image-2.6.26-1-amd64/prerm/removing-running-kernel-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/prerm/would-invalidate-boot-loader-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/postinst/bootloader-test-error-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/preinst/abort-overwrite-2.6.26-1-amd64:
  linux-image-2.6.26-1-amd64/postinst/old-dir-initrd-link-2.6.26-1-amd64: true
  linux-image-2.6.26-1-amd64/preinst/lilo-has-ramdisk:
  linux-image-2.6.26-1-amd64/preinst/failed-to-move-modules-2.6.26-1-amd64:

-- 
Kumar Appaiah
[signature.asc (application/pgp-signature, inline)]

Bug marked as found in version 2.6.15-7. Request was from Kumar Appaiah <a.kumar@alumni.iitm.ac.in> to control@bugs.debian.org. (Tue, 19 Aug 2008 00:42:02 GMT) Full text and rfc822 format available.

Severity set to `important' from `normal' Request was from Kumar Appaiah <a.kumar@alumni.iitm.ac.in> to control@bugs.debian.org. (Tue, 19 Aug 2008 00:42:02 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 2.6.15-7. Request was from Kumar Appaiah <a.kumar@alumni.iitm.ac.in> to control@bugs.debian.org. (Tue, 19 Aug 2008 01:24:03 GMT) Full text and rfc822 format available.

Changed Bug title to `USB device size detected incorrectly' from `usb storage can't be mounted 'cause of wrong size'. Request was from Kumar Appaiah <a.kumar@alumni.iitm.ac.in> to control@bugs.debian.org. (Tue, 19 Aug 2008 01:24:03 GMT) Full text and rfc822 format available.

Severity set to `normal' from `important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Tue, 19 Aug 2008 07:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 355883@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 355883@bugs.debian.org
Subject: Same problem here
Date: Tue, 19 Aug 2008 18:50:11 +0200
Hello,

I can confirm this bug 2.6.26-1-amd64 and a slightly modified rebuild of
the i386 flavour.
My usb stick is unusable.

I noticed severity has been dropped from important to normal. Any
justification ?

I'd rather say it's critical. Everybody needs usb sticks....

Regards, Adam.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 355883@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Adam Cécile (Le_Vert) <gandalf@le-vert.net>, 355883@bugs.debian.org
Subject: Re: Bug#355883: Same problem here
Date: Tue, 19 Aug 2008 19:49:11 +0200
On Tue, Aug 19, 2008 at 06:50:11PM +0200, Adam Cécile (Le_Vert) wrote:
> I can confirm this bug 2.6.26-1-amd64 and a slightly modified rebuild of
> the i386 flavour.
> My usb stick is unusable.

I doubt that you see the same bug. Try #494800.

> I noticed severity has been dropped from important to normal. Any
> justification ?

Someone which is not submitter or maintainer changed it.

> I'd rather say it's critical. Everybody needs usb sticks....

No. Many of my machines don't even have usb.

Bastian

-- 
... The prejudices people feel about each other disappear when they get
to know each other.
		-- Kirk, "Elaan of Troyius", stardate 4372.5




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 355883@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: Bastian Blank <waldi@debian.org>
Cc: 355883@bugs.debian.org
Subject: Re: Bug#355883: Same problem here
Date: Tue, 19 Aug 2008 20:09:07 +0200
[Message part 1 (text/plain, inline)]
Bastian Blank a écrit :
> On Tue, Aug 19, 2008 at 06:50:11PM +0200, Adam Cécile (Le_Vert) wrote:
>   
>> I can confirm this bug 2.6.26-1-amd64 and a slightly modified rebuild of
>> the i386 flavour.
>> My usb stick is unusable.
>>     
>
> I doubt that you see the same bug. Try #494800.
>   
Check reply by Kumar Appaiah (20080812). He re-opened this bug against
kernel 2.6.26.
>   
>> I noticed severity has been dropped from important to normal. Any
>> justification ?
>>     
>
> Someone which is not submitter or maintainer changed it.
>
>   
>> I'd rather say it's critical. Everybody needs usb sticks....
>>     
>
> No. Many of my machines don't even have usb.
>   
No comment.
> Bastian
>   
I found the attached patch somewhere on lkml. It's targeted for kernel
2.6.27. I can confirm this patch fix the issue with my stick.

Regards, Adam.

[patch-usb-storage-2.6.26.patch (text/x-diff, inline)]
--- drivers/usb/storage/transport.c	2008-07-13 21:51:29.000000000 +0000
+++ drivers/usb/storage/transport.c.new	2008-08-19 17:38:28.510241535 +0000
@@ -1034,8 +1034,21 @@
 
 	/* try to compute the actual residue, based on how much data
 	 * was really transferred and what the device tells us */
-	if (residue) {
-		if (!(us->flags & US_FL_IGNORE_RESIDUE)) {
+        if (residue && !(us->flags & US_FL_IGNORE_RESIDUE)) {
+
+                /* Heuristically detect devices that generate bogus residues
+                 * by seeing what happens with INQUIRY and READ CAPACITY
+                 * commands.
+                 */
+                if (bcs->Status == US_BULK_STAT_OK &&
+                                scsi_get_resid(srb) == 0 &&
+                                        ((srb->cmnd[0] == INQUIRY &&
+                                                transfer_length == 36) ||
+                                       (srb->cmnd[0] == READ_CAPACITY &&
+                                                transfer_length == 8))) {
+                        us->flags |= US_FL_IGNORE_RESIDUE;
+
+                } else {
 			residue = min(residue, transfer_length);
 			scsi_set_resid(srb, max(scsi_get_resid(srb),
 			                                       (int) residue));

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Leandro Dorileo <ldorileo@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 355883@bugs.debian.org (full text, mbox):

From: Leandro Dorileo <ldorileo@gmail.com>
To: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>, 355883@bugs.debian.org
Subject: Re: Bug#355883: Same problem here
Date: Wed, 20 Aug 2008 00:37:01 -0400
Hi Adam

Adam Cécile (Le_Vert) wrote:
> Bastian Blank a écrit :
>   
>> On Tue, Aug 19, 2008 at 06:50:11PM +0200, Adam Cécile (Le_Vert) wrote:
>>   
>>     
>>> I can confirm this bug 2.6.26-1-amd64 and a slightly modified rebuild of
>>> the i386 flavour.
>>> My usb stick is unusable.
>>>     
>>>       
>> I doubt that you see the same bug. Try #494800.
>>   
>>     
> Check reply by Kumar Appaiah (20080812). He re-opened this bug against
> kernel 2.6.26.
>   
>>   
>>     
>>> I noticed severity has been dropped from important to normal. Any
>>> justification ?
>>>     
>>>       
>> Someone which is not submitter or maintainer changed it.
>>
>>   
>>     
>>> I'd rather say it's critical. Everybody needs usb sticks....
>>>     
>>>       
>> No. Many of my machines don't even have usb.
>>   
>>     
> No comment.
>   
>> Bastian
>>   
>>     
> I found the attached patch somewhere on lkml. It's targeted for kernel
> 2.6.27. I can confirm this patch fix the issue with my stick.
>   
This patch hasn`t taken to Linus`s tree yet but has been queued by Greg 
K-H, guess we`ll see it merged until 2.6.27.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 355883@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: Leandro Dorileo <ldorileo@gmail.com>
Cc: 355883@bugs.debian.org
Subject: Re: Bug#355883: Same problem here
Date: Wed, 20 Aug 2008 09:44:10 +0200
Leandro Dorileo a écrit :
> Hi Adam
>
> Adam Cécile (Le_Vert) wrote:
>> Bastian Blank a écrit :
>>  
>>> On Tue, Aug 19, 2008 at 06:50:11PM +0200, Adam Cécile (Le_Vert) wrote:
>>>      
>>>> I can confirm this bug 2.6.26-1-amd64 and a slightly modified 
>>>> rebuild of
>>>> the i386 flavour.
>>>> My usb stick is unusable.
>>>>           
>>> I doubt that you see the same bug. Try #494800.
>>>       
>> Check reply by Kumar Appaiah (20080812). He re-opened this bug against
>> kernel 2.6.26.
>>  
>>>      
>>>> I noticed severity has been dropped from important to normal. Any
>>>> justification ?
>>>>           
>>> Someone which is not submitter or maintainer changed it.
>>>
>>>      
>>>> I'd rather say it's critical. Everybody needs usb sticks....
>>>>           
>>> No. Many of my machines don't even have usb.
>>>       
>> No comment.
>>  
>>> Bastian
>>>       
>> I found the attached patch somewhere on lkml. It's targeted for kernel
>> 2.6.27. I can confirm this patch fix the issue with my stick.
>>   
> This patch hasn`t taken to Linus`s tree yet but has been queued by 
> Greg K-H, guess we`ll see it merged until 2.6.27.
I hope it will be merged into debian's package before it reach main 
linux development tree.
If not I'll have to downgrade to 2.6.25...




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <a.kumar@alumni.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #52 received at 355883@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>
To: Adam Cécile (Le_Vert) <gandalf@le-vert.net>, 355883@bugs.debian.org
Cc: Leandro Dorileo <ldorileo@gmail.com>, waldi@debian.org
Subject: Re: Bug#355883: Same problem here
Date: Wed, 20 Aug 2008 20:32:54 -0500
[Message part 1 (text/plain, inline)]
Hi!

Just wanted to add that this bug doesn't exist in the latest kernel I
got from the SCM (2.6.27-rc3). So it got fixed in between 2.6.26 and
now somewhere; I couldn't zero in on the patch which Adam pointed
out. But anyway...


On Wed, Aug 20, 2008 at 09:44:10AM +0200, Adam Cécile (Le_Vert) wrote:
>>>> No. Many of my machines don't even have usb.
>>>>       
>>> No comment.
>>>  

Sorry Bastian, but it's sort of unfair that you reduced the
severity. Granted that it was raised by a non-maintainer, and that you
don't use USB sticks. But that doesn't imply that all users won't have
it.

In fact, I'd really want this to be RC, but I don't want to fall into
anyone's bad books, so I'll just stop with making a request for a
severity upgrade.

>>> I found the attached patch somewhere on lkml. It's targeted for kernel
>>> 2.6.27. I can confirm this patch fix the issue with my stick.
>>>   
>> This patch hasn`t taken to Linus`s tree yet but has been queued by  
>> Greg K-H, guess we`ll see it merged until 2.6.27.
> I hope it will be merged into debian's package before it reach main  
> linux development tree.
> If not I'll have to downgrade to 2.6.25...

The latest version on git.kernel.org seems to have his fix. Commit
59f4ff2ecff4cef36378928cec891785b402e80c [1] seems to have been added
a week ago.

HTH. Thanks to all.

Kumar

[1]: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=59f4ff2ecff4cef36378928cec891785b402e80c
-- 
Kumar Appaiah
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #57 received at 355883@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 494800@bugs.debian.org, 355883@bugs.debian.org
Subject: Status
Date: Mon, 1 Sep 2008 17:31:36 +0300
http://bugzilla.kernel.org/show_bug.cgi?id=11125#c26 says:

| The patch has been submitted for 2.6.27.  When it has been accepted I will also
| submit it for 2.6.26-stable.

So the fix should be in the next stable release.

-- 
Martin Michlmayr
http://www.cyrius.com/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <a.kumar@alumni.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #62 received at 355883@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <a.kumar@alumni.iitm.ac.in>
To: 355883@bugs.debian.org, 494800@bugs.debian.org
Subject: Please fix these bugs for Lenny
Date: Mon, 1 Sep 2008 09:46:32 -0500
[Message part 1 (text/plain, inline)]
Hi!

I was just wondering if the fix for these bugs was in the pipeline,
especially because I hope Lenny won't be released with USB sticks not
functioning as expected.

Thanks!

Kumar
-- 
Kumar Appaiah
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#355883; Package linux-2.6. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #67 received at 355883@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 494800@bugs.debian.org, 355883@bugs.debian.org
Subject: Re: Bug#355883: Status
Date: Thu, 4 Sep 2008 11:02:51 +0300
severity 355883 important
merge 355883 494800
fixed 494800 2.6.26-4
thanks

* Martin Michlmayr <tbm@cyrius.com> [2008-09-01 17:31]:
> http://bugzilla.kernel.org/show_bug.cgi?id=11125#c26 says:
> 
> | The patch has been submitted for 2.6.27.  When it has been accepted I will also
> | submit it for 2.6.26-stable.
> 
> So the fix should be in the next stable release.

Actually, it was in the last 2.6.26-stable update and hence is in
2.6.26-4.
-- 
Martin Michlmayr
http://www.cyrius.com/




Severity set to `important' from `normal' Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 04 Sep 2008 08:06:23 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.6.26-4. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 04 Sep 2008 08:15:18 GMT) Full text and rfc822 format available.

Merged 355883 494800. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Thu, 04 Sep 2008 08:15:18 GMT) Full text and rfc822 format available.

Bug marked as fixed in version 2.6.26-4, send any further explanations to Sandro Knauss <sandy@v884.vanager.de> Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sat, 13 Sep 2008 21:09:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 12 Oct 2008 07:25:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:48:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.